propellor-5.17: property-based host configuration management in haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Propellor.Property.FreeDesktop

Description

Freedesktop.org configuration file properties.

Synopsis

- desktopFile :: String -> FilePath
- type Name = String
- type Exec = String
- autostart :: FilePath -> Name -> Exec -> RevertableProperty UnixLike UnixLike

# Documentation

desktopFile :: String -> FilePath Source #

type Name = String Source #

Name used in a desktop file; user visible.

type Exec = String Source #

Command that a dekstop file runs. May include parameters.

autostart :: FilePath -> Name -> Exec -> RevertableProperty UnixLike UnixLike Source #

Specifies an autostart file. By default it will be located in the system-wide autostart directory.